#
# (c) 2017-2019, SWD Embedded Systems Limited, http://www.kpda.ru
#

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

ISKERNEL := 1
include ../../../../../netdrivers.mk

LIBS = drvrS cacheS
LIBS += $(foreach libpath,$(LIBVPATH), $(if $(wildcard $(libpath)/libnetdrvrS.a), netdrvrS) )

#CCFLAGS + -Wfatal-errors
CCFLAGS += -Werror
# CCFLAGS += -DE100_DEBUG_LEVEL=1
CCFLAGS += -DRFD_ALIGNMENT_FUDGE=4

FW_BLOB_SRCS = fw_blob.s
FW_BLOB_OBJS = fw_blob.o
EXTRA_OBJS += $(FW_BLOB_OBJS)
EXTRA_CLEAN += $(FW_BLOB_SRCS) firmwares.h

NAME = devnp-$(PROJECT)

USEFILE=$(PROJECT_ROOT)/$(NAME).use

define PINFO
PINFO DESCRIPTION=Driver for the Intel 8255x 10/100 Mbps Ethernet Controller Family
endef

include $(MKFILES_ROOT)/qtargets.mk

$(PROJECT_ROOT)/e100_fw.c: $(FW_BLOB_SRCS)

$(FW_BLOB_SRCS): $(PROJECT_ROOT)/firmware/mkblob.sh
	$(PROJECT_ROOT)/firmware/mkblob.sh $@ firmwares.h $(wildcard $(PROJECT_ROOT)/firmware/*.bin) 
